classes = { WARLOCK = { [1] = {  --affliction
								targetDebuffSpells = {
									{ spell_name = "Unstable Affliction",
									  spell_id = 30108,
									  spell_type = "dot", 
									  tick_frequency = 3},
									{ spell_name = "Corruption",
									  spell_id = 172,
									  spell_type = "dot", 
									  tick_frequency = 3},
									{ spell_name = "Bane of Doom",
									  spell_id = 603,
									  spell_type = "dot", 
									  tick_frequency = 15,
									},
									{ spell_name = "Shadow Embrace",
									  spell_id = 32389,
									  spell_type = "debuff",
									  },
									{ spell_name = "Shadow and Flame",
									  spell_id = 17800,
									  spell_type = "debuff",
									  applied_by = "Shadow Bolt",
									  applied_by_id = 686 },
									 { spell_name = "Bane of Agony",
									  prototype = "linkable",
									  link_to = 603,
									  spell_id = 980,
									  spell_type = "dot", 
									  tick_frequency = 2 },
									},
									selfBuffSpells = { 
									 { spell_name = "Eradication",
									   spell_id = 64371,
									   spell_type = "buff"},
										},
									},									
						[2] = { --demonology
								targetDebuffSpells = {
									{spell_name = "Curse of Gul'dan",
									    spell_id = 86000,
										spell_type = "debuff",
										applied_by = "Hand of Gul'dan",
										applied_by_id = 71521},
									{spell_name = "Immolate",
										spell_id = 348,
										spell_type = "dot", 
										tick_frequency = 3},
										{ spell_name = "Corruption",
										  spell_id = 172,
										  spell_type = "dot", 
										  tick_frequency = 3},
										{ spell_name = "Bane of Doom",
										  spell_id = 603,
										  spell_type = "dot", 
										  tick_frequency = 15},
										{ spell_name = "Shadow and Flame",
										  spell_id = 17800,
										  spell_type = "debuff",
										  applied_by = "Incinerate",
										  applied_by_id = 29722 }
								},
								selfBuffSpells = {
										{spell_name = "Decimation",
										 spell_id = 63167,
										 spell_type = "buff",
										 applied_by = "Soul Fire",
										 applied_by_id = 6353 },
									}
							}, 
						[3] = {   --destruction
								targetDebuffSpells = {
									{spell_name = "Immolate",
										spell_id = 348,
										spell_type = "dot", 
										tick_frequency = 3},
										{ spell_name = "Corruption",
										  spell_id = 172,
										  spell_type = "dot", 
										  tick_frequency = 3},
										{ spell_name = "Bane of Doom",
										  spell_id = 603,
										  spell_type = "dot", 
										  tick_frequency = 15},
										{ spell_name = "Shadow and Flame",
										  spell_id = 17800,
										  spell_type = "debuff",
										  applied_by = "Incinerate",
										  applied_by_id = 29722 } 
									},
								selfBuffSpells = {  
									{spell_name = "Improved Soul Fire",
										 spell_id = 85383,
										 spell_type = "buff",
										 applied_by = "Soul Fire",
										 applied_by_id = 6353 }, 
										{spell_name = "Backdraft",
										 spell_id = 54277,
										 spell_type = "buff" }
									 }
								}
					   },
			PRIEST = { [1] = {	--discipline
								targetDebuffSpells = {},
								selfBuffSpells = {} }, 
					   [2] = {	--holy
								targetDebuffSpells = {},
								selfBuffSpells = {} },  
					   [3] = {  --shadow
								["targetDebuffSpells"] = {
									{
										["spell_name"] = "Shadow Word: Pain",
										["spell_id"] = 589,
										["tick_frequency"] = "3",
										["spell_type"] = "dot",
									}, -- [1]
									{
										["spell_name"] = "Devouring Plague",
										["spell_id"] = 2944,
										["tick_frequency"] = "3",
										["spell_type"] = "dot",
									}, -- [2]
									{
										["spell_name"] = "Vampiric Touch",
										["spell_id"] = 34914,
										["tick_frequency"] = "3",
										["spell_type"] = "dot",
									}, -- [3]
								},
								["selfBuffSpells"] = {
									{
										["applied_by"] = "",
										["spell_id"] = 77487,
										["spell_name"] = "Shadow Orb",
										["spell_type"] = "buff",
									}, -- [1]
									{
										["spell_name"] = "Dark Evangelism",
										["spell_id"] = 87118,
										["applied_by"] = "",
										["spell_type"] = "buff",
									}, -- [2]
									{
										["spell_name"] = "Dark Archangel",
										["prototype"] = "linkable",
										["link_to"] = 87118,
										["spell_id"] = 87153,
										["applied_by"] = "",
										["spell_type"] = "buff",
									}, -- [3]
									{
										["spell_name"] = "Empowered Shadow",
										["spell_id"] = 95799,
										["applied_by"] = "",
										["spell_type"] = "buff",
									}, -- [4]
								},
							}, 	 
					 },
			WARRIOR = { [1] = {
						["selfBuffSpells"] = {
							{
								["spell_name"] = "Taste for Blood",
								["applied_by"] = "",
								["spell_id"] = 56638,
								["spell_type"] = "buff",
							}, -- [1]
							{
								["spell_name"] = "Slaughter",
								["applied_by"] = "",
								["spell_id"] = 84586,
								["spell_type"] = "buff",
							}, -- [2]
						},
						["targetDebuffSpells"] = {
							{
								["spell_name"] = "Rend",
								["spell_id"] = 772,								
								["spell_type"] = "dot",
								["tick_frequency"] = "3",								
							}, -- [1]
							{
								["spell_name"] = "Mortal Strike",
								["applied_by"] = "",
								["spell_id"] = 12294,
								["spell_type"] = "debuff",
							}, -- [2]
							{
								["spell_name"] = "Hamstring",
								["applied_by"] = "",
								["spell_id"] = 1715,
								["spell_type"] = "debuff",
							}, -- [3]
							{
								["spell_name"] = "Colossus Smash",
								["applied_by"] = "",
								["spell_id"] = 86346,
								["spell_type"] = "debuff",
							}, -- [4]
						},
						}, 					 
						[2] = {	targetDebuffSpells = {},
								selfBuffSpells = {} },
						[3] = {	targetDebuffSpells = {},
								selfBuffSpells = {} },
					  },
			HUNTER = { [1] = {	targetDebuffSpells = {},
								selfBuffSpells = {} }, 					 
						[2] = {	targetDebuffSpells = {},
								selfBuffSpells = {} },
						[3] = {	targetDebuffSpells = {},
								selfBuffSpells = {} },
					  },
			MAGE = { [1] = {	targetDebuffSpells = {},
								selfBuffSpells = {} }, 					 
						[2] = {	targetDebuffSpells = {},
								selfBuffSpells = {} },
						[3] = {	targetDebuffSpells = {},
								selfBuffSpells = {} },
					  },
			DEATHKNIGHT = { [1] = {	targetDebuffSpells = {},
								selfBuffSpells = {} }, 					 
						[2] = {	targetDebuffSpells = {},
								selfBuffSpells = {} },
						[3] = {	targetDebuffSpells = {},
								selfBuffSpells = {} },
					  },	
			DRUID = { [1] = {	targetDebuffSpells = {},
								selfBuffSpells = {} }, 					 
					  [2] = {		
									["targetDebuffSpells"] = {
									{
										["spell_name"] = "Rip",
										["tick_frequency"] = "2",
										["spell_type"] = "dot",
										["spell_id"] = 1079;
									}, -- [1]
									{
										["spell_name"] = "Rake",
										["tick_frequency"] = "3",
										["spell_type"] = "dot",
										["spell_id"] = 1822;
									}, -- [2]
									{
										["spell_name"] = "Mangle",
										["spell_type"] = "debuff",
										["spell_id"] = 33876;
									}, -- [3]
									{
										["spell_name"] = "Faerie Fire",
										["spell_type"] = "debuff",
										["spell_id"] = 770;
									}, -- [4]
								},
								["selfBuffSpells"] = {
									{
										["spell_name"] = "Savage Roar",
										["spell_type"] = "buff",
										["spell_id"] = 52610;
									}, -- [1]
									{
										["spell_name"] = "Stampede",
										["spell_type"] = "buff",
										["spell_id"] = 78893;
									}, -- [2]
									{
										["spell_name"] = "Tiger's Fury",
										["spell_type"] = "buff",
										["spell_id"] = 5217;
									}, -- [3]
									{
										["spell_name"] = "Predator's Swiftness",
										["spell_type"] = "buff",
										["spell_id"] = 69369;
									}, -- [4]
								}
							}, -- [2]
						[3] = {	targetDebuffSpells = {},
								selfBuffSpells = {} },
					  },	
			PALADIN = { [1] = {	targetDebuffSpells = {},
								selfBuffSpells = {} }, 					 
						[2] = {	targetDebuffSpells = {},
								selfBuffSpells = {} },
						[3] = {	targetDebuffSpells = {},
								selfBuffSpells = {} },
					  },
			SHAMAN = { [1] = {	targetDebuffSpells = {},
								selfBuffSpells = {} }, 					 
						[2] = {	targetDebuffSpells = {},
								selfBuffSpells = {} },
						[3] = {	targetDebuffSpells = {},
								selfBuffSpells = {} },
					  },
			ROGUE = { [1] = {	["targetDebuffSpells"] = {
									{
										["spell_id"] = 1943,
										["spell_name"] = "Rupture",
										["tick_frequency"] = "2",
										["spell_type"] = "dot",
									}, -- [1]
									{
										["spell_id"] = 1833,
										["spell_name"] = "Cheap Shot",										
										["spell_type"] = "debuff",
									}, -- [2]									
									{
										["spell_id"] = 408,
										["link_to"] = 1833,
										["prototype"] = "linkable",
										["spell_name"] = "Kidney Shot",										
										["spell_type"] = "debuff",
									}, -- [3]
									{
										["spell_id"] = 1776,
										["link_to"] = 1833,
										["prototype"] = "linkable",
										["spell_name"] = "Gouge",										
										["spell_type"] = "debuff",
									}, -- [4]
								},
								["selfBuffSpells"] = {
									{										
										["spell_name"] = "Slice and Dice",
										["spell_id"] = 5171,
										["spell_type"] = "buff",
									}, -- [1]
									{										
										["spell_name"] = "Overkill",
										["spell_id"] = 58426,
										["spell_type"] = "buff",
									}, -- [2]
									{	
										["spell_id"] = 73651,									
										["spell_name"] = "Recuperate",
										["spell_type"] = "buff",
									}, -- [3]
								},
							}, 					 
					  [2] = {
									["targetDebuffSpells"] = {
									{
										["spell_id"] = 1943,
										["spell_name"] = "Rupture",
										["tick_frequency"] = "2",
										["spell_type"] = "dot",
									}, -- [1]
									{
										["spell_id"] = 1833,
										["spell_name"] = "Cheap Shot",										
										["spell_type"] = "debuff",
									}, -- [2]									
									{
										["spell_id"] = 408,
										["link_to"] = 1833,
										["prototype"] = "linkable",
										["spell_name"] = "Kidney Shot",										
										["spell_type"] = "debuff",
									}, -- [3]
									{
										["spell_id"] = 1776,
										["link_to"] = 1833,
										["prototype"] = "linkable",
										["spell_name"] = "Gouge",										
										["spell_type"] = "debuff",
									}, -- [4]
									{
										["spell_id"] = 84617,
										["spell_name"] = "Revealing Strike",										
										["spell_type"] = "debuff",
									}, -- [5]
								},
								["selfBuffSpells"] = {
									{										
										["spell_name"] = "Slice and Dice",
										["spell_id"] = 5171,
										["spell_type"] = "buff",
									}, -- [1]
									{										
										["spell_name"] = "Adrenaline Rush",
										["spell_id"] = 13750,
										["spell_type"] = "buff",
									}, -- [2]
									{										
										["spell_name"] = "Shallow Insight",
										["spell_id"] = 84745,
										["spell_type"] = "buff",
									}, -- [3]
									{										
										["spell_name"] = "Moderate Insight",
										["spell_id"] = 84746,
										["spell_type"] = "buff",
										["prototype"] = "linkable",
										["link_to"] = 84745,
									}, -- [4]
									{										
										["spell_name"] = "Deep Insight",
										["spell_id"] = 84747,
										["spell_type"] = "buff",
										["prototype"] = "linkable",
										["link_to"] = 84745,
									}, -- [5]
									{	
										["spell_id"] = 73651,									
										["spell_name"] = "Recuperate",
										["spell_type"] = "buff",
									}, -- [6]
								},
							},
						[3] = {
								["targetDebuffSpells"] = {
									{
										["spell_id"] = 16511,
										["spell_name"] = "Hemorrhage",										
										["spell_type"] = "debuff",
									}, -- [1]
									{
										["spell_id"] = 1943,
										["spell_name"] = "Rupture",
										["tick_frequency"] = "2",
										["spell_type"] = "dot",
									}, -- [2]
									{
										["spell_id"] = 1833,
										["spell_name"] = "Cheap Shot",										
										["spell_type"] = "debuff",
									}, -- [3]
									{
										["spell_id"] = 408,
										["link_to"] = 1833,
										["prototype"] = "linkable",
										["spell_name"] = "Kidney Shot",										
										["spell_type"] = "debuff",
									}, -- [4]
									{
										["spell_id"] = 1776,
										["link_to"] = 1833,
										["prototype"] = "linkable",
										["spell_name"] = "Gouge",										
										["spell_type"] = "debuff",
									}, -- [5]
								},
								["selfBuffSpells"] = {
									{										
										["spell_name"] = "Slice and Dice",
										["spell_id"] = 5171,
										["spell_type"] = "buff",
									}, -- [1]
									{	
										["spell_id"] = 73651,									
										["spell_name"] = "Recuperate",
										["spell_type"] = "buff",
									}, -- [2]
								},
							}, -- [3]
					},
		  }